Package org.eclipse.m2m.atl.emftvm

## Interface LineNumber

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `LineNumberImpl`

    public interface LineNumber
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Line Number'.

See Also:
  `EmftvmPackage.getLineNumber()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEndChar()` Returns the value of the 'End Char' attribute.
`int` `getEndColumn()` Returns the value of the 'End Column' attribute.
`int` `getEndLine()` Returns the value of the 'End Line' attribute.
`org.eclipse.emf.common.util.EList<Instruction>` `getInstructions()` Returns the value of the 'Instructions' reference list.
`CodeBlock` `getOwningBlock()` Returns the value of the 'Owning Block' container reference.
`int` `getStartChar()` Returns the value of the 'Start Char' attribute.
`int` `getStartColumn()` Returns the value of the 'Start Column' attribute.
`int` `getStartLine()` Returns the value of the 'Start Line' attribute.
`void` `setEndChar​(int value)` Sets the value of the '`End Char`' attribute.
`void` `setEndColumn​(int value)` Sets the value of the '`End Column`' attribute.
`void` `setEndLine​(int value)` Sets the value of the '`End Line`' attribute.
`void` `setOwningBlock​(CodeBlock value)` Sets the value of the '`Owning Block`' container reference.
`void` `setStartChar​(int value)` Sets the value of the '`Start Char`' attribute.
`void` `setStartColumn​(int value)` Sets the value of the '`Start Column`' attribute.
`void` `setStartLine​(int value)` Sets the value of the '`Start Line`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStartLine

    int getStartLine()

Returns the value of the 'Start Line' attribute. The default value is `"-1"`.

If the meaning of the 'Start Line' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start Line' attribute.
See Also:
  `setStartLine(int)`, `EmftvmPackage.getLineNumber_StartLine()`

#### setStartLine

    void setStartLine​(int value)

Sets the value of the '`Start Line`' attribute.

Parameters:
  `value` - the new value of the 'Start Line' attribute.
See Also:
  `getStartLine()`

#### getStartColumn

    int getStartColumn()

Returns the value of the 'Start Column' attribute. The default value is `"-1"`.

If the meaning of the 'Start Column' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start Column' attribute.
See Also:
  `setStartColumn(int)`, `EmftvmPackage.getLineNumber_StartColumn()`

#### setStartColumn

    void setStartColumn​(int value)

Sets the value of the '`Start Column`' attribute.

Parameters:
  `value` - the new value of the 'Start Column' attribute.
See Also:
  `getStartColumn()`

#### getEndLine

    int getEndLine()

Returns the value of the 'End Line' attribute. The default value is `"-1"`.

If the meaning of the 'End Line' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End Line' attribute.
See Also:
  `setEndLine(int)`, `EmftvmPackage.getLineNumber_EndLine()`

#### setEndLine

    void setEndLine​(int value)

Sets the value of the '`End Line`' attribute.

Parameters:
  `value` - the new value of the 'End Line' attribute.
See Also:
  `getEndLine()`

#### getEndColumn

    int getEndColumn()

Returns the value of the 'End Column' attribute. The default value is `"-1"`.

If the meaning of the 'End Column' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End Column' attribute.
See Also:
  `setEndColumn(int)`, `EmftvmPackage.getLineNumber_EndColumn()`

#### setEndColumn

    void setEndColumn​(int value)

Sets the value of the '`End Column`' attribute.

Parameters:
  `value` - the new value of the 'End Column' attribute.
See Also:
  `getEndColumn()`

#### getStartChar

    int getStartChar()

Returns the value of the 'Start Char' attribute. The default value is `"-1"`.

If the meaning of the 'Start Char' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start Char' attribute.
See Also:
  `setStartChar(int)`, `EmftvmPackage.getLineNumber_StartChar()`

#### setStartChar

    void setStartChar​(int value)

Sets the value of the '`Start Char`' attribute.

Parameters:
  `value` - the new value of the 'Start Char' attribute.
See Also:
  `getStartChar()`

#### getEndChar

    int getEndChar()

Returns the value of the 'End Char' attribute. The default value is `"-1"`.

If the meaning of the 'End Char' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End Char' attribute.
See Also:
  `setEndChar(int)`, `EmftvmPackage.getLineNumber_EndChar()`

#### setEndChar

    void setEndChar​(int value)

Sets the value of the '`End Char`' attribute.

Parameters:
  `value` - the new value of the 'End Char' attribute.
See Also:
  `getEndChar()`

#### getOwningBlock

    CodeBlock getOwningBlock()

Returns the value of the 'Owning Block' container reference. It is bidirectional and its opposite is '`Line Numbers`'.

If the meaning of the 'Owning Block' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Owning Block' container reference.
See Also:
  `setOwningBlock(CodeBlock)`, `EmftvmPackage.getLineNumber_OwningBlock()`, `CodeBlock.getLineNumbers()`

#### setOwningBlock

    void setOwningBlock​(CodeBlock value)

Sets the value of the '`Owning Block`' container reference.

Parameters:
  `value` - the new value of the 'Owning Block' container reference.
See Also:
  `getOwningBlock()`

#### getInstructions

    org.eclipse.emf.common.util.EList<Instruction> getInstructions()

Returns the value of the 'Instructions' reference list. The list contents are of type `Instruction`. It is bidirectional and its opposite is '`Line Number`'.

The instructions that map to this line number specification.

Returns:
  the value of the 'Instructions' reference list.
See Also:
  `EmftvmPackage.getLineNumber_Instructions()`, `Instruction.getLineNumber()`